package com.huatek.busi.vo.routinetest.transformer;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.alibaba.fastjson.JSONObject;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
  * @ClassName: CardboardTest
  * @FullClassPath: com.huatek.busi.vo.routinetest.transformer.CardboardTest
  * @Description: 纸板聚合度
  * @author: Arno
  * @date: Aug 23, 2019 5:44:26 PM
  * @version: 1.0
  */

@Data
@EqualsAndHashCode(callSuper = false)
public class CardboardTest extends TestBase implements Serializable {
	

	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = 5778719120515494341L;

	/** @Fields value : 测量值*/ 
	public String value ;
	
	/** @Fields temperature : 温度 */ 
	public String temperature;
	
	/** @Fields humidity :湿度   */ 
	public String humidity;
	
	/** @Fields pressure : 气压*/ 
	public String pressure;
	
	
	public static void main(String[] args) {
		CardboardTest entity = new CardboardTest();
		entity.setTestContent("纸板聚合度试验");
		entity.setTestEquipment("欣影电力-XPOI112");
		entity.setTemperature("20");
		entity.setHumidity("25");
		entity.setPressure("30");
		entity.setValue("10");
		entity.setChecker("王科");
		entity.setTester("刘天天");
		entity.setSignature("林冲");
		entity.setTestTime(LocalDateTime.of(2019, 11, 13, 12, 24, 56));
		entity.setRemarks("合格");

		String josn = JSONObject.toJSONString(entity);
		System.out.println(josn);
		CardboardTest parseObject = JSONObject.parseObject(josn, CardboardTest.class);
		System.out.println(parseObject);
	}
	
	
	
}
